Bug 151349 - "select all" only selects the first package
"select all" only selects the first package
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: up2date (Show other bugs)
4
All Linux
medium Severity high
: ---
: ---
Assigned To: Adrian Likins
Fanny Augustin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-17 03:17 EST by Need Real Name
Modified: 2007-11-30 17:11 EST (History)
8 users (show)

See Also:
Fixed In Version: FC4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-21 00:50:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2005-03-17 03:17:29 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050309 Epiphany/1.5.8

Description of problem:
From "Available package updates", I click "Select all".
Only the first, "arts" is selected.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
x

Additional info:
Comment 1 Daniel Saez 2005-03-17 10:04:51 EST
Same thing happened here. 
 
That's what I seen in console. 
 
Traceback (most recent call last): 
  File "/usr/share/rhn/up2date_client/gui.py", line 1160, in selectAll 
    area._toggle_row(index) 
  File "/usr/share/rhn/up2date_client/checklist.py", line 134, in _toggle_row 
    self.toggled_func(val, row_data) 
  File "/usr/share/rhn/up2date_client/gui.py", line 281, in updateSelectedSize 
    self.__updateSelectedSizeLabel(sizeLabel, state, rowData) 
  File "/usr/share/rhn/up2date_client/gui.py", line 275, in 
__updateSelectedSizeLabel 
    self.pkgsSelected = self.pkgsSelected + 1 
TypeError: unsupported operand type(s) for +: 'instance' and 'int' 
 
Comment 2 David Lawrence 2005-03-23 18:23:46 EST
Verified this is still the case in up2date-4.4.9-1
Comment 3 Sean Earp 2005-03-31 00:49:36 EST
I, too, can verify that this is present in up2date-4.4.9-1.

-Sean
Comment 4 Mike Chambers 2005-04-04 18:46:00 EDT
Experienced same thing here, as well as the "Forward" button not being able to
be pushed.
Comment 5 Jim Cornette 2005-04-04 19:12:40 EDT
I confirm this problem and as a workaround for using the GUI, I will add one
program from the list to my exclusions. When this minor package (not one that
has lots of deps) is added to the exclusions list, it is possible to select the
other packages.
As an example, mc is available, add it to the exclusions list. Go to the next
screen for regular packages, other pasckages are now selectable.
I wondered why I could install packages with the kernel, but not when there was
no kernel in te selections.
Comment 6 Need Real Name 2005-04-13 10:54:32 EDT
The "select all" button works for the "packages flagged to be skipped" page.
up2date-4.4.9-1
Comment 7 Jim Cornette 2005-04-14 22:05:31 EDT
I am adding an exception to the list for flagged packages, checking the excluded
package, then proceeding to the next page. The strange thing is that the next
button will still be highlighted when you get to the next screen. You have to
manually select each package though.
I believe up2date is no longer maintained, March 9th was the last update.
Comment 8 Need Real Name 2005-04-15 08:25:18 EDT
Not being able to press the "Forward" button to apply updates makes the
application useless.

Adjusting severity to "high".
Comment 9 Need Real Name 2006-01-20 16:02:42 EST
Close as irrelevant now?
Comment 10 David Lawrence 2006-01-20 18:18:22 EST
If it no longer occurs in latest version (which I think is the case) please feel
free to close as CURRENTRELEASE/fc4

Note You need to log in before you can comment on or make changes to this bug.